import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        id: string;
        label: string;
        value: any;
        placeholder: string;
        help: string;
        prefix: string;
        suffix: string;
        errors: string[];
        classes: string;
        labelClasses: string;
        inputClasses: string;
        size: number;
    };
    events: {
        update: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type FileProps = typeof __propDef.props;
export type FileEvents = typeof __propDef.events;
export type FileSlots = typeof __propDef.slots;
export default class File extends SvelteComponentTyped<FileProps, FileEvents, FileSlots> {
}
export {};
