import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        id: string;
        label: string;
        value: any;
        placeholder: string;
        help: string;
        prefix: string;
        suffix: string;
        errors: string[];
        classes: string;
        labelClasses: string;
        inputClasses: string;
    };
    events: {
        update: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type TextareaProps = typeof __propDef.props;
export type TextareaEvents = typeof __propDef.events;
export type TextareaSlots = typeof __propDef.slots;
export default class Textarea extends SvelteComponentTyped<TextareaProps, TextareaEvents, TextareaSlots> {
}
export {};
