/**
 * Navigation class.
 *
 * @since 1.0.0
 */
export default class Registration {
    private elements;
    /**
     * Constructor.
     *
     * @since 1.0.0
     */
    constructor();
    /**
     * Add element to register
     *
     * @param name  Help data.
     *
     * @since 1.0.0
     */
    addElement(name: string, input: any): void;
    /**
     * Get a specific element.
     *
     * @param name Element name.
     *
     * @returns Svelte component element object.
     *
     * @since 1.0.0
     */
    getElement(name: any): undefined;
    /**
     * Register standard Elements.
     *
     * @since 1.0.0
     */
    private registerDefaults;
}
