import type HasActionNoticeData from "./HasActionNoticeData";
/**
 * Submit action data.
 *
 * @since 1.0.0
 */
export default interface HasActionSubmitData {
    readonly type: string;
    readonly url: string;
    readonly method: 'GET' | 'POST' | 'PUT' | 'PUSH' | 'DELETE';
    readonly format: 'json' | 'form-data';
    readonly success: HasActionNoticeData;
    readonly error: HasActionNoticeData;
}
